Bug 1203522 - [RFE][nova]: Convert consoles to use objects famework
Summary: [RFE][nova]: Convert consoles to use objects famework
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 8.0 (Liberty)
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/nova...
Whiteboard: upstream_milestone_none upstream_defi...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-19 04:02 UTC by RHOS Integration
Modified: 2017-04-05 04:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-07 12:26:17 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description RHOS Integration 2015-03-19 04:02:18 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/nova/+spec/convert-consoles-to-objects.

Description:

The current code of console does not use the framework objects. Instead it provides some types (console/type.py) to handle them. These types are currently empty and probably the first attempt to use objects.

The aim of that blueprint is to convert consoles to use objects which make the dict 'connect_info' able to be removed and the ability to use database instead of memcached which cannot guarantee expiration of tokens. Also to fix bug  1425640 the new console object should be able to handle extra information; in the case of that bug, this field will be used to maintain informed Nova of a connected or not client of a serial-port.

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.